/**
 * Exposes common HTTP errors with a preconfigured `statusCode` for convenience.
 * This does not mean you have to use HTTP to use them, it's just that
 * HTTP has already defined a nice set of common error types, and tacking
 * on the HTTP status code makes it easier to consume in HTTP apps.
 */
import { BaseErrorConstructor } from './make-error-class';
declare const BadRequest_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `BadRequest` error.
 */
export declare class BadRequest extends BadRequest_base {
}
declare const NotAuthenticated_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `NotAuthenticated` error.
 */
export declare class NotAuthenticated extends NotAuthenticated_base {
}
declare const PaymentError_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `PaymentError` error.
 */
export declare class PaymentError extends PaymentError_base {
}
declare const Forbidden_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `Forbidden` error.
 */
export declare class Forbidden extends Forbidden_base {
}
declare const NotFound_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `NotFound` error.
 */
export declare class NotFound extends NotFound_base {
}
declare const MethodNotAllowed_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `MethodNotAllowed` error.
 */
export declare class MethodNotAllowed extends MethodNotAllowed_base {
}
declare const NotAcceptable_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `NotAcceptable` error.
 */
export declare class NotAcceptable extends NotAcceptable_base {
}
declare const Timeout_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `Timeout` error.
 */
export declare class Timeout extends Timeout_base {
}
declare const Conflict_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `Conflict` error.
 */
export declare class Conflict extends Conflict_base {
}
declare const LengthRequired_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `LengthRequired` error.
 */
export declare class LengthRequired extends LengthRequired_base {
}
declare const Unprocessable_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `Unprocessable` error.
 */
export declare class Unprocessable extends Unprocessable_base {
}
declare const TooManyRequests_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `TooManyRequests` error.
 */
export declare class TooManyRequests extends TooManyRequests_base {
}
declare const GeneralError_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `GeneralError` error.
 */
export declare class GeneralError extends GeneralError_base {
}
declare const NotImplemented_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `NotImplemented` error.
 */
export declare class NotImplemented extends NotImplemented_base {
}
declare const BadGateway_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `BadGateway` error.
 */
export declare class BadGateway extends BadGateway_base {
}
declare const Unavailable_base: BaseErrorConstructor<{
    statusCode: number;
}>;
/**
 * Creates a `Unavailable` error.
 */
export declare class Unavailable extends Unavailable_base {
}
